"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const known_headphone_1 = __importDefault(require("./models/known_headphone"));
const list = [
    new known_headphone_1.default('Arctis Pro Wireless', known_headphone_1.default.ArctisPro_Wirelress_ProductID, [0x40, 0xaa], 0, 0, 0, 0),
    new known_headphone_1.default('Arctis 7 2017', known_headphone_1.default.Arctis7_2017_ProductID, [0x06, 0x18], 0, 0, 0x05, 2),
    new known_headphone_1.default('Arctis 7 2019', known_headphone_1.default.Arctis7_2019_ProductID, [0x06, 0x18], 0, 0, 0x05, 2),
    new known_headphone_1.default('Arctis Pro 2019', known_headphone_1.default.ArctisPro_2019_ProductID, [0x06, 0x18], 0, 0, 0x05, 2),
    new known_headphone_1.default('Arctis Pro GameDac', known_headphone_1.default.ArctisPro_GameDac_ProductID, [0x06, 0x18], 0, 0, 0x05, 2),
    new known_headphone_1.default('Arctis 9', known_headphone_1.default.Arctis9_ProductID, [0x0, 0x20], 0, 0, 0, 3, 4),
    new known_headphone_1.default('Arctis 1 Wireless', known_headphone_1.default.Arctis1W_ProductID, [0x06, 0x12], 0xff43, 0x202, 0x03, 3, 4),
    new known_headphone_1.default('Arctis 1 Xbox', known_headphone_1.default.Arctis1X_ProductID, [0x06, 0x12], 0xff43, 0x202, 0x03, 3, 4),
    new known_headphone_1.default('Arctis 7X', known_headphone_1.default.Arctis7X_ProductID, [0x06, 0x12], 0xff43, 0x202, 0x03, 3, 4, 5),
    new known_headphone_1.default('Arctis 7 Plus', known_headphone_1.default.Arctis7_Plus_ProductID, [0x00, 0xb0], 0xffc0, 0x1, 3, 2, 3),
    new known_headphone_1.default('Arctis 7P Plus', known_headphone_1.default.Arctis7P_Plus_ProductID, [0x00, 0xb0], 0xffc0, 0x1, 3, 2, 3),
    new known_headphone_1.default('Arctis 7X Plus', known_headphone_1.default.Arctis7X_Plus_ProductID, [0x00, 0xb0], 0xffc0, 0x1, 3, 2, 3),
    new known_headphone_1.default('Arctis 7 Destiny Plus', known_headphone_1.default.Arctis7_Plus_Destiny_ProductID, [0x00, 0xb0], 0xffc0, 0x1, 2, 3),
    new known_headphone_1.default('Arctis Nova 7', known_headphone_1.default.ArctisNova7_ProductID, [0x00, 0xb0], 0xffc0, 0x1, 3, 2, 3),
    new known_headphone_1.default('Arctis Nova 7X', known_headphone_1.default.ArctisNova7X_ProductID, [0x00, 0xb0], 0xffc0, 0x1, 3, 2, 3),
    new known_headphone_1.default('Arctis Nova 7P', known_headphone_1.default.ArctisNova7P_ProductID, [0x00, 0xb0], 0xffc0, 0x1, 3, 2, 3),
];
exports.default = list;
